## haskell-llvm-base 3.0.0.0

=== debian/changelog ===
haskell-llvm-base (3.0.0.0-2) unstable; urgency=low

  * Amend debian/copyright as suggested by Luca Falavigna 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 11 Mar 2012 15:44:32 +0100

haskell-llvm-base (3.0.0.0-1) unstable; urgency=low

  * Initial release.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Mar 2012 19:51:07 +0100

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|llvm-base-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/llvm-base \
    ([\d\.]*\d)/

## haskell-llvm-base 3.2.0.0

=== tools/Makefile ===
ghc := ghc
ghcflags := -O -Wall -Werror
tools := DiffFFI FunctionMangler IntrinsicMangler

all: $(tools)

%: %.hs
	$(ghc) $(ghcflags) --make -o $@ -main-is $(basename $<).main $<

clean:
	-rm -f *.o *.hi $(tools) *.exe

## haskell-llvm-base 3.0.1.0

=== debian/changelog ===
haskell-llvm-base (3.0.1.0-2ubuntu1) raring; urgency=low

  * Use llvm-3.0 for now; haskell-llvm-base 3.0.1.0 does not support >= 3.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Apr 2013 10:49:31 +0100

haskell-llvm-base (3.0.1.0-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:27 +0200

haskell-llvm-base (3.0.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #665010)
    + Drop patch, applied upstream

 -- Joachim Breitner <nomeata@debian.org>  Thu, 17 May 2012 13:31:05 +0200

haskell-llvm-base (3.0.0.0-3) unstable; urgency=low

  * Don't link the test program (to discover if we have LLVM installed) with
    LLVMSystem. It doesn't exist at least on LLVM 2.9.

 -- Iain Lane <laney@debian.org>  Fri, 16 Mar 2012 21:54:04 +0000

=== debian/control ===
Source: haskell-llvm-base
Section: haskell
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8.13)
  , ghc
  , ghc-prof
  , llvm-3.0-dev
  , dh-autoreconf
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/llvm-base
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-llvm-base
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-llvm-base

Package: libghc-llvm-base-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , llvm-3.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: low-level bindings to the LLVM compiler toolkit
 This package provides low-level bindings to the LLVM compiler toolkit.
 Higher-level bindings can be found in the libghc-llvm-dev package.
 .
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.

Package: libghc-llvm-base-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: low-level bindings to the LLVM compiler toolkit; profiling libraries
 This package provides low-level bindings to the LLVM compiler toolkit.
 Higher-level bindings can be found in the libghc-llvm-dev package.
 .
 This package provides a library for the Haskell programming language, compiled
 for profiling.  See http://www.haskell.org/ for more information on Haskell.

Package: libghc-llvm-base-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: low-level bindings to the LLVM compiler toolkit; documentation
 This package provides low-level bindings to the LLVM compiler toolkit.
 Higher-level bindings can be found in the libghc-llvm-dev package.
 .
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

## haskell-llvm-base 3.2.0.0

=== debian/changelog ===
haskell-llvm-base (3.2.0.0-3ubuntu1) trusty; urgency=medium

  * Add LLVM 3.3 support.
  * Use dh-autoreconf to help apply this change.
  * Build-depend/depend on llvm-3.3-dev and force its use; the default
    (llvm-3.4) is not supported yet (LP: #1278106).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Apr 2014 10:52:25 +0100

haskell-llvm-base (3.2.0.0-3) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * Rebuilding should closes: #733393

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Jan 2014 17:31:28 +0000

haskell-llvm-base (3.2.0.0-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:19 +0200

haskell-llvm-base (3.2.0.0-1) experimental; urgency=low

  * New upstream release (Closes: #708804)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 18 May 2013 19:29:58 +0200

=== debian/control ===
Source: haskell-llvm-base
Section: haskell
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , dh-autoreconf
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , llvm-3.3-dev
  , libghc-mtl-dev
  , libghc-mtl-prof
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/llvm-base
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-llvm-base
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-llvm-base

Package: libghc-llvm-base-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , llvm-3.3-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: low-level bindings to the LLVM compiler toolkit${haskell:ShortBlurb}
 This package provides low-level bindings to the LLVM compiler toolkit.
 Higher-level bindings can be found in the libghc-llvm-dev package.
 .
 ${haskell:Blurb}

Package: libghc-llvm-base-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: low-level bindings to the LLVM compiler toolkit${haskell:ShortBlurb}
 This package provides low-level bindings to the LLVM compiler toolkit.
 Higher-level bindings can be found in the libghc-llvm-dev package.
 .
 ${haskell:Blurb}

Package: libghc-llvm-base-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: low-level bindings to the LLVM compiler toolkit${haskell:ShortBlurb}
 This package provides low-level bindings to the LLVM compiler toolkit.
 Higher-level bindings can be found in the libghc-llvm-dev package.
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_SETUP_GHC_CONFIGURE_ARGS := \
	--configure-option=--with-llvm-prefix=/usr/lib/llvm-3.3

=== debian/watch ===
version=3
http://hackage.haskell.org/package/llvm-base/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
